# process.h File Reference

## Classes

class | wxProcess
| The objects of this class are used in conjunction with the wxExecute() function. More...
class | wxProcessEvent
| A process event is sent to the wxEvtHandler specified to wxProcess when a process is terminated. More...

## Enumerations

enum | wxSignal { wxSIGNONE = 0, wxSIGHUP, wxSIGINT, wxSIGQUIT, wxSIGILL, wxSIGTRAP, wxSIGABRT, wxSIGEMT, wxSIGFPE, wxSIGKILL, wxSIGBUS, wxSIGSEGV, wxSIGSYS, wxSIGPIPE, wxSIGALRM, wxSIGTERM }
| Signal constants used by wxProcess. More...
enum | wxKillError { wxKILL_OK, wxKILL_BAD_SIGNAL, wxKILL_ACCESS_DENIED, wxKILL_NO_PROCESS, wxKILL_ERROR }
| Return values for wxProcess::Kill. More...

## Enumeration Type Documentation

enum wxKillError

Return values for wxProcess::Kill.

Enumerator:

  wxKILL_OK | no error
  wxKILL_BAD_SIGNAL | no such signal
  wxKILL_ACCESS_DENIED | permission denied
  wxKILL_NO_PROCESS | no such process
  wxKILL_ERROR | another, unspecified error

enum wxSignal

Signal constants used by wxProcess.

Enumerator:

  wxSIGNONE | verify if the process exists under Unix
  wxSIGHUP |
  wxSIGINT |
  wxSIGQUIT |
  wxSIGILL |
  wxSIGTRAP |
  wxSIGABRT |
  wxSIGEMT |
  wxSIGFPE |
  wxSIGKILL | forcefully kill, dangerous!
  wxSIGBUS |
  wxSIGSEGV |
  wxSIGSYS |
  wxSIGPIPE |
  wxSIGALRM |
  wxSIGTERM | terminate the process gently

|  | [ top ]